Application: gvSIG desktop - gvSIG bugs #2529
Error al exportar de dxf a shp
05/19/2014 01:24 PM - Alvaro Anguix

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Vector editing

Target version: 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90,

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2227 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Reportado por Yeli Arias en lista de usuarios:

Buen dia, pregunta, estoy convirtiendo una capa dxf a shape, especificamente,
una capa de altimetria.

Lo estaba haciendo en gvSIG 1.12 y la Elevacion al transformarla a shape, se
iba sin problemas convertida en una capa double.

PERO decidi hacerlo con la version builds 2227, y la misma columna se
convirte en "entero” debido a que en la capa original la elevacion esta
separada por un "punto" para representar miles.... aparece Elevacion 1.200
mts(en la capa dxf) en la generada por el builds 2227 solo aparece Elevacién
1...

Como hago para que no asuma que el punto es la separacion de decimal. y me
de las Alturas tal cual estan en la capa dxf

Resulta que el campo Elevation lo representa con un "." para separar miles, aun siendo un campo numeérico. Al exportarlo a shp lo

entiende como separador de decimales.
El problema se puede evitar dando un rodeo: exportamos de dxf a kml, de kml a sh; aunque lo idoneo seria poder hacerlo
directamente.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2374: Wrong thousands an... Invalid 02/24/2014
Related to Application: gvSIG desktop - gvSIG bugs # 3007: Error al exportar ... Closed 11/17/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2977: Error al exportar ... Closed 11/07/2014
History

#1 - 05/22/2014 08:40 AM - Alvaro Anguix

Otro correo enviado a la lista de usuarios por Yeli que muestra el mismo comportamiento/problema en otra situacion:
Buen Dia, estoy reproyectando unos puntos en gvSIG builds 2227, estos puntos

los traido de una capa de eventos, la cual esta el *.dbf, y hago lo

siguiente:

1.- Gestor de Proyecto - Tablas - New - y abro *.dbf la tabla que me genera

tiene puntod de separacion para los miles y los decimales (las versiones
anteriores solo usa puntos para los decimales)

2.-Ahado mi capa de eventos sin problemas y logro exportarla a
shape...(hasta alli, vengo mas que bien)

3.- El momento amargo, es cuando reproyecto, al abrir la nueva capa no
tienen coordenadas, es mas ni siquiera tienen datos.

Creo que, quizas esto es un comentario, jalado de los cabellos, los puntos
me estan dando problemas al igual que con las capas dxf y mi comentario
anterior

Seria posible que por favor revisen este comportamiento.

#2 - 11/17/2014 11:19 AM - Alvaro Anguix
- Related to gvSIG bugs #3007: Error al exportar de dgn a shp added

#3 - 03/24/2015 12:32 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee set to Francisco Diaz Carsi

#4 - 03/24/2015 12:34 PM - Alvaro Anguix

- Related to gvSIG bugs #2977: Error al exportar una capa de eventos a shp con elementos seleccionados added

#5 - 03/25/2015 04:26 PM - Francisco Diaz Carsi

- Status changed from New to Invalid

Alvaro ¢ Le puedes pedir a Yeli Arias que nos mande la capa o que repita el proceso en el build 2269 a ver si se ha solucionado el problema?

Entre el 2227 y el 2269 se ha tocado el formateo de las tablas.

Y no puedo reproducir ninguno de los dos errores, ni el de la descripcion del ticket ni el del comentario 1.

Lo marco como "Invalid" de momento.

#6 - 04/02/2015 06:33 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)
